TSimilarityProfile< dim > Class Template Reference
Perfusion Analysis

A class to evaluate image similarity profiles of image series. More...

`#include <mia/template/similarity_profile.hh>`

Inheritance diagram for TSimilarityProfile< dim >:
[legend]

## Public Types

typedef this_dim_trait::ImageSeries | ImageSeries
| type of the image series to create the similarity profile from
typedef this_dim_trait::PFullCost | PFullCost
| Pointer type for cost measure used to create the similarity profile.
typedef this_dim_trait::PImage | PImage
| pointer type for the actual images
typedef dimension_traits< dim > | this_dim_trait
| the trait to handle dimension based typedefs

## Public Member Functions

float | get_peak_frequency () const
std::vector< size_t > | get_periodic_subset () const
TSimilarityProfile< dim > & | operator= (const TSimilarityProfile< dim > &org)=default
| assignment operator
| TSimilarityProfile (const TSimilarityProfile< dim > &org)=default
| copy constructor
| TSimilarityProfile (PFullCost cost, const ImageSeries &images, size_t reference, size_t max_delta)

## Detailed Description

template<int dim>
class TSimilarityProfile< dim >

A class to evaluate image similarity profiles of image series.

Template Parameters

  dim | the dimenstion of the image data to be used

This class evaluates the similarity profile of a series of images with respect to a certain cost function and a given reference. It can then be used to evaluate a periodic subset and the highest frequency coefficient.

Definition at line 40 of file template/similarity_profile.hh.

## Member Typedef Documentation

## ImageSeries

template<int dim>

typedef this_dim_trait::ImageSeries TSimilarityProfile< dim >::ImageSeries

type of the image series to create the similarity profile from

Definition at line 50 of file template/similarity_profile.hh.

## PFullCost

template<int dim>

typedef this_dim_trait::PFullCost TSimilarityProfile< dim >::PFullCost

Pointer type for cost measure used to create the similarity profile.

Definition at line 47 of file template/similarity_profile.hh.

## PImage

template<int dim>

typedef this_dim_trait::PImage TSimilarityProfile< dim >::PImage

pointer type for the actual images

Definition at line 53 of file template/similarity_profile.hh.

## this_dim_trait

template<int dim>

typedef dimension_traits<dim> TSimilarityProfile< dim >::this_dim_trait

the trait to handle dimension based typedefs

Definition at line 44 of file template/similarity_profile.hh.

## Constructor & Destructor Documentation

## TSimilarityProfile() [1/2]

template<int dim>

TSimilarityProfile< dim >::TSimilarityProfile | ( | PFullCost | cost,
|  | const ImageSeries & | images,
|  | size_t | reference,
|  | size_t | max_delta )

Contruct and prepare the similarity profile. Throws an std::invalid_argument exception on failure.

Parameters

  cost | image similarity to evaluate the similarity series
  images | the image series
  reference | the reference to use for evaluating the similarity series
  max_delta | the maximum temporal delta for the subset

## TSimilarityProfile() [2/2]

template<int dim>

TSimilarityProfile< dim >::TSimilarityProfile | ( | const TSimilarityProfile< dim > & | org | ) |

default

copy constructor

## Member Function Documentation

## get_peak_frequency()

template<int dim>

float TSimilarityProfile< dim >::get_peak_frequency | ( |  | ) | const

Returns
  the peak frequency coefficent and its index

## get_periodic_subset()

template<int dim>

std::vector< size_t > TSimilarityProfile< dim >::get_periodic_subset | ( |  | ) | const

Returns
  a periodic subset including the first and last image of the series

## operator=()

template<int dim>

TSimilarityProfile< dim > & TSimilarityProfile< dim >::operator= | ( | const TSimilarityProfile< dim > & | org | ) |

default

assignment operator

The documentation for this class was generated from the following file:

- template/similarity_profile.hh